
From: <raven@themaw.net>

These are the ioctls that need to be added to the compatibility layer.

They are all esentially the same as the AUTOFS_IOC_PROTOVER in their 
requirements and so should be fine. 


---

 25-akpm/include/linux/compat_ioctl.h |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN include/linux/compat_ioctl.h~autofs4-compat-ioctls include/linux/compat_ioctl.h
--- 25/include/linux/compat_ioctl.h~autofs4-compat-ioctls	2004-05-10 18:57:22.434901568 -0700
+++ 25-akpm/include/linux/compat_ioctl.h	2004-05-10 18:57:22.437901112 -0700
@@ -546,6 +546,10 @@ COMPATIBLE_IOCTL(AUTOFS_IOC_CATATONIC)
 COMPATIBLE_IOCTL(AUTOFS_IOC_PROTOVER)
 COMPATIBLE_IOCTL(AUTOFS_IOC_EXPIRE)
 COMPATIBLE_IOCTL(AUTOFS_IOC_EXPIRE_MULTI)
+COMPATIBLE_IOCTL(AUTOFS_IOC_PROTOSUBVER)
+COMPATIBLE_IOCTL(AUTOFS_IOC_ASKREGHOST)
+COMPATIBLE_IOCTL(AUTOFS_IOC_TOGGLEREGHOST)
+COMPATIBLE_IOCTL(AUTOFS_IOC_ASKUMOUNT)
 /* DEVFS */
 COMPATIBLE_IOCTL(DEVFSDIOC_GET_PROTO_REV)
 COMPATIBLE_IOCTL(DEVFSDIOC_SET_EVENT_MASK)

_
